class MaintenanceAction {

    TaskProcedure taskProcedure
    MaintenancePolicy maintenancePolicy
    SystemSection systemSection
    Asset asset
    AssetType assetType
    Assembly assembly
    SubAssembly subAssembly
    ComponentItem componentItem

    String description
    String reasoning = ""
    Integer procedureStepNumber
    boolean isActive = true

//     static hasMany = []

//     static belongsTo = []

    static constraints = {
        maintenancePolicy(blank:true, nullable:true)
        systemSection(blank:true, nullable:true)
        asset(blank:true, nullable:true)
        assetType(blank:true, nullable:true)
        assembly(blank:true, nullable:true)
        subAssembly(blank:true, nullable:true)
        componentItem(blank:true, nullable:true)
        procedureStepNumber(blank:true, nullable:true)
    }

    String toString() {
        "${this.description}"
    }
}

